Bug 997552 - RHEL 7 and Radeon card - install server with GUI and it will boot with no X running.
RHEL 7 and Radeon card - install server with GUI and it will boot with no X r...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-ati (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jérôme Glisse
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 11:00 EDT by Bill Sanford
Modified: 2014-02-20 15:55 EST (History)
5 users (show)

See Also:
Fixed In Version: linux-firmware-20140102-0.2.git52d77db
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-20 15:55:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Sanford 2013-08-15 11:00:35 EDT
Description of problem:
After the install of RHEL 7 (Server with GUI), the system reboots and it can't load: radeon/CYPRESS_uvd.bin and boots to CLI mode.

Version-Release number of selected component (if applicable):
RHEL-7.0-20130306.0-Server-x86_64
RHEL-7.0-20130814.n-Server-x86_64
RHEL-7.0-20130815.n-Server-x86_64

This works on 
RHEL-7.0-20120711.2-Server
Gallium 0.4 on AMD CEDAR

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Anaconda doesn't start with X if it is installed.

Expected results:
Anaconda does start with X if it is installed.

Additional info:

The lspci of the server shows:

[root@salusa yum.repos.d]# lspci 
00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD] RS880 Host Bridge
00:02.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] RS780 PCI to PCI bridge (ext gfx port 0)
00:11.0 RAID bus controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 SATA Controller [Non-RAID5 mode] (rev 40)
00:12.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:12.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:13.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:13.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 SMBus Controller (rev 41)
00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia (Intel HDA) (rev 40)
00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 LPC host controller (rev 40)
00:14.4 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 PCI to PCI Bridge (rev 40)
00:14.5 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
00:15.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB700/SB800/SB900 PCI to PCI bridge (PCIE port 0)
00:16.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:16.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Address Map
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Link Control
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Cedar [Radeon HD 5000/6000/7350/8350 Series]
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Cedar HDMI Audio [Radeon HD 5400/6300 Series]
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)
[root@salusa yum.repos.d]#
Comment 1 Jérôme Glisse 2013-08-15 13:42:28 EDT
We can do a kernel patch to not load uvd. Is it too late for that ?
Comment 2 Jérôme Glisse 2013-08-15 15:38:23 EDT
Actually after relooking, it the uvd error is non fatal, do you have full kernel log ?
Comment 3 Bill Sanford 2013-11-19 10:49:44 EST
No, I don't Jerome. These machines were reused somewhere else.
Comment 4 Jérôme Glisse 2014-02-20 15:55:17 EST
Closing that one as missing firmware are now included in :
linux-firmware-20140102-0.2.git52d77db

Note You need to log in before you can comment on or make changes to this bug.